function HEImage(fn)
    T = HE(fn);
    I = imread(fn);
    
    x = size(I,1);
    y = size(I,2);
    
    J = uint8(zeros(x,y));

    n = x*y;
    
    Tx = T*255;
    
    for i=1:x
        for j = 1:y
            u = double(I(i,j));
            J(i,j) = uint8(Tx(u+1));
        end
    end
    imshow(J);
       
end
