function T = HE(fn)

    I = imread(fn);
    
    x = size(I,1);
    y = size(I,2);
    
    n = x*y;
    na = zeros(256,1);
    
    
    for i=1:x
        for j=1:y
            u = double(I(i,j));
            na(u+1) = na(u+1)+1;
        end
    end

    p = na/n;
    
    T = zeros(256,1);
    T(1) = p(1);
    for i=2:256
        T(i) = T(i-1) + p(i);
    end
end